Extensions tab broken after upgrade/install

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Suggested Hosts
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

NOTE: phpBB 3.1.x is at its End of Life stage and support will NOT be provided after July 1st, 2018.
Locked
darkvue
Registered User
Posts: 41
Joined: Sun Jan 25, 2015 3:35 am
Location: Ohio
Name: Hershel Gau
Contact:

Extensions tab broken after upgrade/install

Post by darkvue »

I had outsourced the updating of my forum/database and apparently during this install things got left behind from old mods. I kept getting an error saying "A required module does not exist: ACP_CAT_DOT_MODS" when I'd try to enable an extension
This Module was not disabled, It had been removed somehow.
After a lot of searching I found a thread saying to do this

Code: Select all

It would be better to add the module via module management in the ACP, then the left and right ids are sure to be correct:

ACP > SYSTEM > Module Management > Administration Control Panel >
Create new module: Extensions
Module language name: ACP_CAT_DOT_MODS
Module type: Category
Parent: No parent:
Module enabled: Yes
After doing the above I was giving an extensions tab in the ACP but it will not let me click it. Even after I install extensions (yes after I added this new module I was able to install the extensions) BUT I can't click the EXTENSIONS tab to make edits to their settings or even use them.

I have NO clue what I am doing to even try to fix this. I have searched extensively here for a thread with my answer and I am coming up with nothing...Any help?

Board URL: http://www.facebookmodeling.com/modeling101
PHPBB3 version: 3.1.10
Database server: MySQL(i) 5.5.51-38.2
charliee
Registered User
Posts: 169
Joined: Sun Nov 06, 2011 2:49 am

Re: Extensions tab broken after upgrade/install

Post by charliee »

did you ever find a solution to this?
User avatar
Lumpy Burgertushie
Registered User
Posts: 68543
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Extensions tab broken after upgrade/install

Post by Lumpy Burgertushie »

charliee wrote:
Mon Apr 10, 2017 9:37 pm
did you ever find a solution to this?
the problem is that he did not completely remove all the old MODs from the database and/or the files before upgrading to 3.1 from 3.0

if you are having this problem it would be better to start your own topic and Please fill out the Support Request Template Generator and post it back here to enable us to assist you better.
however, the bottom line is that your best bet would be to use your backups you made before you started the upgrade process and then start over following the instructions for upgrading, not updating.

Upgrading from phpbb 3.0.x to phpbb 3.1.x
  • Your server must be running at least PHP 5.3.3 and less than PHP 7
  • Most MODs for 3.0.x are incompatible with 3.1.x and their functionality will be removed in the update process.
  • Styles for 3.0.x cannot be installed or used on 3.1.x.
  1. Backup up your board's files and database
  2. Download the Support Toolkit. Install it and run the database cleaner to remove all old MODs from the database.
  3. Deactivate all styles except for prosilver
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.1.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to yourdomain.com/yourphpbb/install/database_update.php and keep clicking the continue button until it says it is finished. This will take a long time on a large board, maybe hours. Dont give up.
  9. Delete the folder named /install/
  10. Hold one foot in the air and spin around in a circle three times saying "I am a phpbb guru".

once you have 3.1 working properly you can then upgrade to 3.2 if you wish:

Upgrading from phpbb 3.1.x/3.2.x or updating to newest phpbb 3.2.x
Backup up your board's files and database
  • Go to the admin panel of your current board and purge the cache.
  • In your ftp, delete all of your phpBB 3.1.x files EXCEPT for the following:
    • The config.php file
    • The /ext/ directory
    • The /files/ directory
    • The /images/ directory
    • Download the full package of 3.2. click here 3.2.x Full Package
    • Unzip it to your computer, now remove the file named config.php
    • Upload all the rest of the files and folders into your forum's directory (Note: you don't want to overwrite your original config.php file)
    • Browse to yourdomain.com/yourphpbb/install/ then click the update tab. Click update database only.
    • Delete the folder named /install/
    others will tell you it is ok to go straight to 3.2 from 3.0
    however, in my experience with my clients it doesn't always work properly and going to 3.1 first seems to always work for me.

    luck,
    robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

I am pleased to announce that I have completed the first item on my bucket list. I have the bucket.
Locked

Return to “[3.1.x] Support Forum”